/*
 * @Author: your name
 * @Date: 2021-06-15 14:11:00
 * @LastEditTime: 2021-07-12 13:40:14
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \taxformtoolengine\src\store\vuex.js
 */
/**
 * @Author ygy
 * @Description //TODO 数据存储器
 * @Date 13:50 2020/5/19
 **/
export const store = new Vuex.Store({ // 注意Store的S大写
    state: {
        showMenu: false,
        data: {
            platform: '',
            loading: false,
            scheduleCode: '',
            parent: null,
            saveStatus: false,
            openData: {},
            engines: {},
            configData: {},
            menuList: [],
            defaultMenu: '',
            checkList: [],
            processStatus: '',
            selectInfoBar: '',
            openAlter: [],
            saveAlter: [],
            closeAlter: [],
            openConfirm: [],
            saveConfirm: [],
            closeConfirm: []
        },
    },
    mutations: {
        platform(state, value) {
            state.data.platform = value
        },
        loading(state, value) {
            state.data.loading = value
        },
        scheduleCode(state, value) {
            state.data.scheduleCode = value
        },
        parent(state, value) {
            state.data.parent = value
        },
        saveStatus(state, value) {
            state.data.saveStatus = value
        },
        openData(state, value) {
            state.data.openData = value
        },
        engines(state, value) {
            state.data.engines = value
        },
        configData(state, value) {
            state.data.configData = value
        },
        menuList(state, value) {
            state.data.menuList = value
        },
        defaultMenu(state, value) {
            state.data.defaultMenu = value
        },
        checkList(state, value) {
            state.data.checkList = value
        },
        processStatus(state, value) {
            state.data.processStatus = value
        },
        selectInfoBar(state, value) {
            state.data.selectInfoBar = value
        },
        openAlter(state, value) {
            state.data.openAlter = value
        },
        saveAlter(state, value) {
            state.data.saveAlter = value
        },
        closeAlter(state, value) {
            state.data.closeAlter = value
        },
        openConfirm(state, value) {
            state.data.openConfirm = value
        },
        saveConfirm(state, value) {
            state.data.saveConfirm = value
        },
        closeConfirm(state, value) {
            state.data.closeConfirm = value
        },
    }
})