/*
 * @Author: your name
 * @Date: 2021-06-18 10:52:28
 * @LastEditTime: 2021-06-21 15:03:22
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \taxFormToolFramework\src\main.js
 */
// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import tools from './tools/tools.js'
import { store } from './store/vuex'
import https from './https';
import engine from '../static/engine/css/engine.css'
import style from '../static/css/style.css'

Vue.config.productionTip = false
Vue.use(tools)
Vue.prototype.$https = https;
Vue.use(https);
/* eslint-disable no-new */
new Vue({
    el: '#taxformtoolframeworkApp',
    router,
    tools,
    store,
    components: { App },
    template: '<App/>'
})